Bug 993433 - Volume quota report is human readable only, not machine readable
Volume quota report is human readable only, not machine readable
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 18:56 EDT by Shawn Heisey
Modified: 2015-10-22 11:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-22 11:46:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shawn Heisey 2013-08-05 18:56:12 EDT
Description of problem:
When I ask gluster for a report of active quotas, the limit and size are printed in human readable format (a normalized number followed by KB, MB, GB, etc), but I need them in a machine readable format.  A report in KB would probably be the most useful to me, but it would be very useful if the unit was something you could request on the commandline.

Steps to Reproduce:
gluster volume quota testvol list
gluster volume quota testvol list --xml

Actual results:
The numbers (size in partcular) are human readable and cannot be utilized easily by scripts.  There are no options to change the output units.

Expected results:
An output where all numbers use the same units.  For my purposes that should be KB when machine readable is requested, but being able to choose any unit would be useful.
Comment 1 Niels de Vos 2014-11-27 09:54:31 EST
The version that this bug has been reported against, does not get any updates from the Gluster Community anymore. Please verify if this report is still valid against a current (3.4, 3.5 or 3.6) release and update the version, or close this bug.

If there has been no update before 9 December 2014, this bug will get automatocally closed.
Comment 2 Shawn Heisey 2014-11-27 11:46:01 EST
I don't have a newer version to try it on, but as a developer of the software, you must have testbeds where you can verify behavior.  With one of those, it would be almost trivial for you to try it and see if the behavior is still the same.
Comment 3 Kaleb KEITHLEY 2015-10-22 11:46:38 EDT
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.